package com.dayou.common;

import java.math.BigDecimal;

/**
 * 类说明：全局常量
 *
 * @author: wucl
 * @since: 2022/11/28
 * created with IntelliJ IDEA.
 */
public interface Constants {

    /**
     * Date格式化字符串
     */
    String DATE_FORMAT = "yyyy-MM-dd";
    /**
     * DateTime格式化字符串
     */
    String DATETIME_FORMAT = "yyyy-MM-dd HH:mm:ss";
    /**
     * Time格式化字符串
     */
    String TIME_FORMAT = "HH:mm:ss";

    /**
     * 逗号 分割
     */
    String SPLITER = ",";


    /**
     * 主键
     */
    String ID = "id";
    /**
     * %
     */
    String BFH = "%";


    /**
     * 默认密码
     */
    String DEFAULT_PASSWORD = "12345678";


    /**
     * 超级管理员相关的id
     */
    Long superAdminId =1L;

    /**
     * 超级管理员员工号
     */
    String ADMIN_STAFF_NO = "admin";

    /**
     * 表单token的有效value
     */
    String FORM_TOKEN_VALID ="valid";
    /**
     * 表单token的无效value
     */
    String FORM_TOKEN_IN_VALID ="invalid";

    String STAFF_NO_PREFIX = "DY";

    String ADMIN = "超级管理员";

    String ADMIN_PASSWORD = "admin123";

    String MERGE_SYMBOL = "&";

    String MATH_REGULAR = "^[0-9]+(.[0-9]+)?$";

    BigDecimal HUNDRED = BigDecimal.TEN.multiply(BigDecimal.TEN);

    String YEARMONTH = "year-month";

    String MANAGER_OFFICE = "总经办";

    String MARKET_DEPARTMENT = "市场部";

    String CUSTOMER_MANAGER = "客户经理";

    String SALESMAN = "客户经理-业务员";

    String SUPERVISOR = "营销主管";

    String MARKET_MANAGER = "市场部经理";

    String GIS_USER= "GIS";
}
